# List

Launch stage: GA

`GET /api/2.1/unity-catalog/schemas`

Gets an array of schemas for a catalog in the metastore.
 If the caller is the metastore admin or the owner of the parent catalog, all schemas for the catalog will be retrieved.
 Otherwise, only schemas owned by the caller (or for which the caller has the **USE_SCHEMA** privilege) will be retrieved.
 There is no guarantee of a specific ordering of the elements in the array.

 NOTE: we recommend using max_results=0 to use the paginated version of this API. Unpaginated calls will be deprecated soon.

 PAGINATION BEHAVIOR: When using pagination (max_results >= 0), a page may contain zero results while still providing a next_page_token.
 Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.

API scopes: unity-catalog

## Query parameters

- `catalog_name` (string, optional)
  Parent catalog for schemas of interest.
- `max_results` (int32, optional)
  Maximum number of schemas to return.
   If not set, all the schemas are returned (not recommended).
   - when set to a value greater than 0, the page length is the minimum of this value and a server configured value;
   - when set to 0, the page length is set to a server configured value (recommended);
   - when set to a value less than 0, an invalid parameter error is returned;
  Constraints: `<= 1000`
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.
- `include_browse` (boolean, optional)
  Whether to include schemas in the response for which the principal can only access selective metadata for

## Returns

Returns a list of SchemaInfo objects.

## Response

```json
{
  "schemas": [
    {
      "name": "string",
      "catalog_name": "string",
      "owner": "string",
      "comment": "string",
      "storage_root": "string",
      "enable_predictive_optimization": "string",
      "metastore_id": "string",
      "full_name": "string",
      "created_at": 0,
      "created_by": "string",
      "updated_at": 0,
      "updated_by": "string",
      "catalog_type": "string",
      "storage_location": "string",
      "effective_predictive_optimization_flag": {},
      "schema_id": "string",
      "browse_only": true,
      "custom_max_retention_hours": 0,
      "properties": {},
      "options": {}
    }
  ],
  "next_page_token": "string"
}
```

